EndpointsPlatform Service Category Home Mappings

Platform Service Category Home Mappings

Function-calling namespace: platformServiceCategoryHomeMappings

  • Base URL: https://api.aivida.in
  • Engine endpoint: POST /api
  • Auth: Stack token middleware enabled in optional mode.
  • Send token in header: x-stack-access-token: <access_token> (or Authorization: Bearer <access_token>).
  • In optional mode: no token is allowed; invalid token is rejected with 401.

create

Source: backend/endpoints/platform-service-category-home-mappings/create

Input Fields

FieldTypeRequiredConstraints
platformServiceCategoryIdstringYes-
homeCollectionIdstringNo-
displayOrderintegerNo-
displayTypestringNo-
displayTitlestringNo-
imageUrlstringNo-
bgColorstringNo-
bgImagestringNo-
titlestringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "platformServiceCategoryHomeMappings",
  "apiName": "create",
  "data": {
    "platformServiceCategoryId": "platformservicecategory_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

delete

Source: backend/endpoints/platform-service-category-home-mappings/delete

Input Fields

FieldTypeRequiredConstraints
idstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "platformServiceCategoryHomeMappings",
  "apiName": "delete",
  "data": {
    "id": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

getById

Source: backend/endpoints/platform-service-category-home-mappings/get-by-id

Input Fields

FieldTypeRequiredConstraints
idstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "platformServiceCategoryHomeMappings",
  "apiName": "getById",
  "data": {
    "id": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

list

Source: backend/endpoints/platform-service-category-home-mappings/list

Input Fields

FieldTypeRequiredConstraints
pageintegerNo-
pageSizeintegerNo-
limitintegerNo-
offsetintegerNo-
searchstringNo-
platformServiceCategoryIdstringNo-
homeCollectionIdstringNo-
displayTypestringNo-
sortBystringNo-
sortOrderstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "platformServiceCategoryHomeMappings",
  "apiName": "list",
  "data": {
    "page": 1,
    "pageSize": 1,
    "limit": 1,
    "offset": 1,
    "search": "value",
    "platformServiceCategoryId": "platformservicecategory_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

update

Source: backend/endpoints/platform-service-category-home-mappings/update

Input Fields

FieldTypeRequiredConstraints
idstringYes-
platformServiceCategoryIdstringNonullable
homeCollectionIdstringNonullable
displayOrderintegerNonullable
displayTypestringNonullable
displayTitlestringNonullable
imageUrlstringNonullable
bgColorstringNonullable
bgImagestringNonullable
titlestringNonullable

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "platformServiceCategoryHomeMappings",
  "apiName": "update",
  "data": {
    "id": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }